## kf6-kunitconversion 6.19.0+p24.04+vstable+git20251008.1022

=== debian/changelog ===
kf6-kunitconversion (6.19.0+p24.04+vstable+git20251008.1022-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 10:22:15 +0000

kf6-kunitconversion (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:09:57 +0000

## kf6-kunitconversion 6.19.0+p24.04+vstable+git20251015.0839

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.20.0") # handled by release scripts
set(KF_DEP_VERSION "6.19.0") # handled by release scripts
project(KUnitConversion VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.19.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMGenerateQDoc)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

set(REQUIRED_QT_VERSION 6.7.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Network)

option(BUILD_PYTHON_BINDINGS "Build Python bindings" ON)

# Only Linux and FreeBSD CI has the relevant packages
if (ANDROID OR APPLE OR WIN32 OR HAIKU OR NOT BUILD_SHARED_LIBS)
    set(BUILD_PYTHON_BINDINGS OFF)
endif()

if (BUILD_PYTHON_BINDINGS)
    find_package(Python3 3.9 REQUIRED COMPONENTS Interpreter Development)
    find_package(Shiboken6 REQUIRED)
    find_package(PySide6 REQUIRED)
endif()

add_feature_info(PYTHON_BINDINGS ${BUILD_PYTHON_BINDINGS} "Python bindings")

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6UnitConversion")

set(kunitconversion_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kunitconversion_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KUNITCONVERSION
                        VERSION_HEADER "${kunitconversion_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6UnitConversionConfigVersion.cmake"
                        SOVERSION 6)

# I18n
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
add_definitions(-DTRANSLATION_DOMAIN=\"kunitconversion6\")
ki18n_install(po)

ecm_set_disabled_deprecation_versions(
    QT 6.10.0
    KF 6.18.0
)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()
# create a Config.cmake and a ConfigVersion.cmake file and install them
include(CMakePackageConfigHelpers)
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF6UnitConversionConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6UnitConversionConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)
install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF6UnitConversionConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6UnitConversionConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)
install(EXPORT KF6UnitConversionTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6UnitConversionTargets.cmake NAMESPACE KF6:: )
install(FILES
    ${kunitconversion_version_header}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KUnitConversion COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

if (BUILD_PYTHON_BINDINGS)
    include(ECMGeneratePythonBindings)
    add_subdirectory(python)
endif()

=== debian/changelog ===
kf6-kunitconversion (6.19.0+p24.04+vstable+git20251015.0839-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:39:23 +0000

## kf6-kunitconversion 6.19.0+p24.04+vstable+git20251024.0106

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Network)
 
 option(BUILD_PYTHON_BINDINGS "Build Python bindings" ON)

=== debian/changelog ===
kf6-kunitconversion (6.19.0+p24.04+vstable+git20251024.0106-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 01:06:32 +0000

=== debian/control ===
Source: kf6-kunitconversion
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-ki18n-dev,
               libclang-dev,
               libpyside6-dev,
               libpython3-dev,
               libshiboken6-dev,
               pkg-kde-tools-neon,
               pyside6-tools,
               python3-build,
               python3-dev,
               qt6-base-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kunitconversion
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kunitconversion.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kunitconversion
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kunitconversion
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: python3, python3-pyside6.qtcore, ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6unitconversion-data, libkf6unitconversion6
Description: Support for unit conversion.
 Library to help applications in doing conversions of
 values in different measure units.
 .
 This package contains the translations.

Package: kf6-kunitconversion-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kunitconversion (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Replaces: libkf6unitconversion-dev, libkf6unitconversion-doc
Recommends: kf6-kunitconversion (= ${source:Version})
Description: development files for kunitconversion
 Library to help applications in doing conversions of
 values in different measure units.
 .
 Contains development files for kunitconversion.

Package: libkf6unitconversion6
Architecture: all
Depends: kf6-kunitconversion, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6unitconversion-data
Architecture: all
Depends: kf6-kunitconversion, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6unitconversion-dev
Architecture: all
Depends: kf6-kunitconversion-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6unitconversion-doc
Architecture: all
Depends: kf6-kunitconversion-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-kunitconversion 6.19.0+p24.04+vunstable+git20251020.0229

=== debian/changelog ===
kf6-kunitconversion (6.19.0+p24.04+vunstable+git20251020.0229-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:29:45 +0000

## kf6-kunitconversion 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KUnitConversion VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -54,7 +54,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.18.0
+    KF 6.19.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
kf6-kunitconversion (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:25:11 +0100

=== debian/control ===
Source: kf6-kunitconversion
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               libkf6i18n-dev (>= 6.20.0~),
               qt6-base-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kunitconversion
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kunitconversion
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kunitconversion.git
Rules-Requires-Root: no

Package: libkf6unitconversion-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Support for unit conversion
 Library to help applications in doing conversions of
 values in different measure units.
 .
 This package contains the translations.

Package: libkf6unitconversion-dev
Section: libdevel
Architecture: any
Depends: libkf6i18n-dev (>= 6.20.0~),
         libkf6unitconversion6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6unitconversion-doc (= ${source:Version}),
Description: development files for kunitconversion
 Library to help applications in doing conversions of
 values in different measure units.
 .
 Contains development files for kunitconversion.

Package: libkf6unitconversion-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Support for unit conversion (documentation)
 Library to help applications in doing conversions of
 values in different measure units.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6unitconversion6
Architecture: any
Multi-Arch: same
Depends: libkf6unitconversion-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for unit conversion
 Library to help applications in doing conversions of
 values in different measure units.

## kf6-kunitconversion 6.20.0+p24.04+vunstable+git20251202.0728

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KUnitConversion VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kunitconversion (6.20.0+p24.04+vunstable+git20251202.0728-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 07:28:05 +0000

kf6-kunitconversion (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:48 +1000

## kf6-kunitconversion 6.20.0+p24.04+vunstable+git20251206.0300

=== debian/changelog ===
kf6-kunitconversion (6.20.0+p24.04+vunstable+git20251206.0300-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 03:01:05 +0000

## kf6-kunitconversion 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KUnitConversion VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== debian/changelog ===
kf6-kunitconversion (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:53:35 +0000

kf6-kunitconversion (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:16:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kunitconversion
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -9,14 +10,14 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.20.0~),
-               libkf6i18n-dev (>= 6.20.0~),
-               qt6-base-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+               extra-cmake-modules (>= 6.21.0~),
+               libkf6i18n-dev (>= 6.21.0~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-tools-dev (>= 6.8.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kunitconversion
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kunitconversion
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kunitconversion.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kunitconversion
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kunitconversion
 Rules-Requires-Root: no
 
 Package: libkf6unitconversion-data
@@ -32,9 +33,9 @@
 Package: libkf6unitconversion-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6i18n-dev (>= 6.20.0~),
+Depends: libkf6i18n-dev (>= 6.21.0~),
          libkf6unitconversion6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0~),
+         qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6unitconversion-doc (= ${source:Version}),
 Description: development files for kunitconversion

## kf6-kunitconversion 6.21.0+p24.04+vstable+git20251226.0129

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KUnitConversion VERSION ${KF_VERSION})
 
@@ -53,8 +53,8 @@
 ki18n_install(po)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
-    KF 6.19.0
+    QT 6.11.0
+    KF 6.21.0
 )
 
 add_subdirectory(src)

## kf6-kunitconversion 6.21.0+p24.04+vstable+git20260102.1116

=== debian/changelog ===
kf6-kunitconversion (6.21.0+p24.04+vstable+git20260102.1116-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 11:16:08 +0000

kf6-kunitconversion (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:10:51 +1000

## kf6-kunitconversion 6.21.0+p24.04+vstable+git20260103.0211

=== debian/changelog ===
kf6-kunitconversion (6.21.0+p24.04+vstable+git20260103.0211-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 02:11:40 +0000

## kf6-kunitconversion 6.21.0+p24.04+vunstable+git20251207.0609

=== CMakeLists.txt ===
--- 
+++ 
@@ -53,8 +53,8 @@
 ki18n_install(po)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.11.0
-    KF 6.21.0
+    QT 6.10.0
+    KF 6.19.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
kf6-kunitconversion (6.21.0+p24.04+vunstable+git20251207.0609-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 06:09:12 +0000

## kf6-kunitconversion 6.21.0+p24.04+vunstable+git20260105.1239

=== debian/changelog ===
kf6-kunitconversion (6.21.0+p24.04+vunstable+git20260105.1239-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 12:39:19 +0000

## kf6-kunitconversion 6.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KUnitConversion VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -53,8 +53,8 @@
 ki18n_install(po)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
-    KF 6.19.0
+    QT 6.11.0
+    KF 6.21.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
kf6-kunitconversion (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:32:49 +0000

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
-               libkf6i18n-dev (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
                qt6-base-dev (>= 6.8.0+dfsg~),
                qt6-tools-dev (>= 6.8.0~),
 Standards-Version: 4.7.0
@@ -33,7 +33,7 @@
 Package: libkf6unitconversion-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6i18n-dev (>= 6.21.0~),
+Depends: libkf6i18n-dev (>= 6.22.0~),
          libkf6unitconversion6 (= ${binary:Version}),
          qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},

## kf6-kunitconversion 6.22.0+p24.04+vstable+git20260106.0818

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KUnitConversion VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kunitconversion (6.22.0+p24.04+vstable+git20260106.0818-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 08:18:08 +0000

kf6-kunitconversion (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:42:14 +1000

## kf6-kunitconversion 6.22.0+p24.04+vstable+git20260111.0041

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts

=== debian/changelog ===
kf6-kunitconversion (6.22.0+p24.04+vstable+git20260111.0041-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 00:41:50 +0000

## kf6-kunitconversion 6.22.0+p24.04+vstable+git20260126.0701

=== debian/changelog ===
kf6-kunitconversion (6.22.0+p24.04+vstable+git20260126.0701-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:01:54 +0000

## kf6-kunitconversion 6.22.0+p24.04+vunstable+git20260106.0818

=== debian/changelog ===
kf6-kunitconversion (6.22.0+p24.04+vunstable+git20260106.0818-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 08:18:21 +0000

## kf6-kunitconversion 6.22.0+p24.04+vunstable+git20260123.0151

=== debian/changelog ===
kf6-kunitconversion (6.22.0+p24.04+vunstable+git20260123.0151-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 01:51:46 +0000

## kf6-kunitconversion 6.23.0

=== debian/changelog ===
kf6-kunitconversion (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Drop armel bits, as that architecture was discontinued.
  * Reenable build-time tests.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:47:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,21 @@
 Source: kf6-kunitconversion
 Section: libs
-Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.27~),
                doxygen,
-               extra-cmake-modules (>= 6.22.0~),
-               libkf6i18n-dev (>= 6.22.0~),
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-tools-dev (>= 6.8.0~),
-Standards-Version: 4.7.0
+               extra-cmake-modules (>= 6.23.0~),
+               libkf6i18n-dev (>= 6.23.0~),
+               qt6-base-dev (>= 6.8.0~),
+               qt6-tools-dev (>= 6.5.0~),
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/frameworks/kunitconversion
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kunitconversion
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kunitconversion
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kunitconversion
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kunitconversion.git
 
 Package: libkf6unitconversion-data
 Architecture: all
@@ -33,9 +30,9 @@
 Package: libkf6unitconversion-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6i18n-dev (>= 6.22.0~),
+Depends: libkf6i18n-dev (>= 6.23.0~),
          libkf6unitconversion6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0+dfsg~),
+         qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
 Recommends: libkf6unitconversion-doc (= ${source:Version}),
 Description: development files for kunitconversion

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# Skip tests requiring network
export EXCLUDED_TESTS = categorytest|convertertest

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_PYTHON_BINDINGS=OFF

override_dh_auto_test:
	dh_auto_test -Skf6 --no-parallel -- ARGS+="-E \"^(${EXCLUDED_TESTS})\""
